# NAME

git-annex rmurl - record file is not available at url

# SYNOPSIS

git annex rmurl `[file url ..]`

# DESCRIPTION

Record that the file is no longer available at the url.

Removing the last web url will make git-annex no longer treat content as being
present in the web special remote. If some other special remote
claims the url, unregistering the url will not update presence information
for it, because the content may still be present on the remote.

# OPTIONS

* `--batch`

  Enables batch mode, in which lines are read from stdin.
  Each line should contain the file, and the url to remove from that file,
  separated by a single space.

* `-z`

  Makes the `--batch` input be delimited by nulls instead of the usual
  newlines.

* `--json`

  Enable JSON output. This is intended to be parsed by programs that use
  git-annex. Each line of output is a JSON object.

* `--json-error-messages`

  Messages that would normally be output to standard error are included in
  the JSON instead.

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

[[git-annex-addurl]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
